<?php

/**
 *
 * @link              https://osulzer.at
 * @since             1.0.0
 * @package           Osu_Email_Encryption
 *
 * @wordpress-plugin
 * Plugin Name:       OSULZER E-Mail Encryption
 * Plugin URI:        https://osulzer.at
 * Description:       A lightweight plugin that uses the wordpress antispambot() function to hide all mail adresses from your site.
 * Version:           1.0.0
 * Author:            Oliver Sulzer
 * Author URI:        http://osulzer.at/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       osu-email-encryption
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

function encode_emails_all($content) {
    // Regular expression to find email addresses
    $pattern = '/\b[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Z|a-z]{2,}\b/';

    // Callback function to encode email addresses
    $callback = function ($matches) {
        return antispambot($matches[0]);
    };

    // Apply the regular expression and callback to the content
    $content = preg_replace_callback($pattern, $callback, $content);

    return $content;
}

// Hook the function into the_content filter
add_filter('the_content', 'encode_emails_all', 99999);